<?php

namespace Lc\CaracoleBundle\Factory\Newsletter;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\SovBundle\Model\Newsletter\NewsletterInterface;
use Lc\SovBundle\Factory\Newsletter\NewsletterFactory as SovNewsletterFactory;

class NewsletterFactory extends SovNewsletterFactory
{
    use MerchantFactoryTrait;

    public function create(): NewsletterInterface
    {
        $newsletter = parent::create();

        $newsletter->setMerchant($this->merchant);

        return $newsletter;
    }

}
