<?php

namespace Lc\CaracoleBundle\Factory\User;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Model\User\GroupUserInterface;
use Lc\SovBundle\Factory\User\GroupUserFactory as SovGroupUserFactory;

class GroupUserFactory extends SovGroupUserFactory
{
    use MerchantFactoryTrait;

    public function create(): GroupUserInterface
    {
        $groupUser = parent::create();

        $groupUser->setMerchant($this->merchant);

        return $groupUser;
    }

}
