<?php

namespace Lc\CaracoleBundle\Model\Config;


/**
 * @ORM\MappedSuperclass
 */
interface UnitInterface
{
    public function getUnitAmountChoices(): array;

    public function getUnit(): ?string;

    public function setUnit(string $unit): \Lc\CaracoleBundle\Model\Config\UnitModel;

    public function getWording(): ?string;

    public function setWording(string $wording): \Lc\CaracoleBundle\Model\Config\UnitModel;

    public function getWordingUnit(): ?string;

    public function setWordingUnit(string $wordingUnit): \Lc\CaracoleBundle\Model\Config\UnitModel;

    public function getWordingShort(): ?string;

    public function setWordingShort(string $wordingShort): \Lc\CaracoleBundle\Model\Config\UnitModel;

    public function getCoefficient(): ?int;

    public function setCoefficient(int $coefficient): \Lc\CaracoleBundle\Model\Config\UnitModel;

    public function getUnitReference(): ?self;

    public function setUnitReference(?self $unitReference): \Lc\CaracoleBundle\Model\Config\UnitModel;
}